{% extends 'userMenu/base.html' %}

{% block bodyBl%}
<h1>Log-in</h1>
    {% if form.errors %}
        <p class="paragraf-error">
            Your username and password didn't match.
            Please try again.
        </p>
    {% else %}
    <p class = "paragraf">Please, use the following form to log-in.  
        <br>If you don't have an account <a class = "link" href="{% url "register" %}">register here</a></p>
    {% endif %}
    <div class="login-form">
        <form action="{% url 'login' %}" method="post">
            
            <label for = "form.username.id_for_label"> <h2 class = "lgn">{{ form.username.label }}</h2></label>
            {{ form.username }}
            <label for = "form.password.id_for_label"><h2 class = "lgn"> {{ form.password.label }}</h2></label>
            {{ form.password }}
            {% csrf_token %}
            <input type="hidden" name="next" value="{{ next }}"/>
            <p><input type="submit" value="Log-in"></p>
        </form>
        <p style ="font-size: 200%; text-align: center;"><a  class = "link" href="{% url 'password_reset' %}">Forgotten your password?</a></p>
    </div>
    
</form>

{% endblock %}